### Struct

# Ggit DiffLine

#### Description [src]

    struct GgitDiffLine {
      /* No available fields */
    }

Represents the line of a diff.

#### Instance methods

###### ggit_diff_line_get_content

Gets the content in bytes.

###### ggit_diff_line_get_content_offset

Gets the content offset.

###### ggit_diff_line_get_new_lineno

Gets the Line number in new file or -1 for deleted line.

###### ggit_diff_line_get_old_lineno

Gets the line number in old file or -1 for added line.

###### ggit_diff_line_get_origin

Gets the `GgitDiffLineType` value.

###### ggit_diff_line_get_text

Get the content of the diff line as UTF-8 encoded text.

###### ggit_diff_line_ref

Atomically increments the reference count of `line` by one. This function is MT-safe and may be called from any thread.

###### ggit_diff_line_unref

Atomically decrements the reference count of `line` by one. If the reference count drops to 0, `line` is freed.